package com.red.circle.wallet.infra.enums;

/**
 * @author pengliang on 2023/10/12
 */
public enum LogTopic {

  /**
   * 钱包金币资产.
   */
  WALLET_GOLD_ASSET_PROD("31fdc347-d4e0-421d-be1b-a77fd5f32659"),
  WALLET_GOLD_ASSET_DEVELOP("180afe72-b0fe-4502-bbc2-55a8a5193e78");

  private final String topic;

  LogTopic(String topic) {
    this.topic = topic;
  }

  public String getWalletTopic(boolean isProd) {
    if (isProd) {
      return WALLET_GOLD_ASSET_PROD.topic;
    }
    return WALLET_GOLD_ASSET_DEVELOP.topic;
  }

}
